import React from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { CountryMap } from './countryMap';

const width = 960;
const height = 500;

const App = () => {
  const data = loadData();

  if (!data) {
    return <pre>Loading data...</pre>;
  }
  // if no data from given source display loading data.

  return (
    <svg width={width} height={height}>
      <CountryMap data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('div1');
ReactDOM.render(<App />, rootElement);
